Developers
API ReferenceMessage Template

Creates a MessageTemplate resource

POST
/ticket/message-templates

Creates a MessageTemplate resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Request Body

The new MessageTemplate resource

  1. body
name*string
Length1 <= length <= 100
content*string
Length1 <= length <= 100000

Response Body

MessageTemplate resource created

  1. response
id?string|null
name?string
content?string
createdBy?|
Formatiri-reference
createdAt?string
Formatdate-time
updatedBy?|
Formatiri-reference
updatedAt?string
Formatdate-time
ticketFiles?array<string|null>|array<unknown_type>
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/ticket/message-templates' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "content": "string"}'
Example Response
{  "id": "string",  "name": "string",  "content": "string",  "createdBy": "https://example.com/",  "createdAt": "2019-08-24T14:15:22Z",  "updatedBy": "https://example.com/",  "updatedAt": "2019-08-24T14:15:22Z",  "ticketFiles": [    "string"  ]}